Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.tahiti
Class AgletsSecurityManager

    java.lang.Object
      |
      +--java.lang.SecurityManager
            |
            +--com.ibm.aglets.tahiti.AgletsSecurityManager

public class AgletsSecurityManager
extends java.lang.SecurityManager

Fields inherited from class java.lang.SecurityManager
`inCheck`

Constructor Summary
`AgletsSecurityManager()`

Method Summary
`void` | `checkPermission(java.security.Permission p)`
`boolean` | `checkTopLevelWindow(java.lang.Object window)`
`java.security.cert.Certificate` | `getCurrentCertificate()` Gets the certificate of the owner of the current thread.
`java.lang.ClassLoader` | `getCurrentNonSecureClassLoader()` Gets the current non secure class loader.
`java.lang.ThreadGroup` | `getThreadGroup()`

Methods inherited from class java.lang.SecurityManager
`checkAccept, checkAccess, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkExit, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkWrite, checkWrite, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getClassContext, getInCheck, getSecurityContext, inClass, inClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgletsSecurityManager

    public AgletsSecurityManager()

Method Detail

### checkPermission

    public void checkPermission(java.security.Permission p)

  Overrides:
    `checkPermission` in class `java.lang.SecurityManager`

### checkTopLevelWindow

    public boolean checkTopLevelWindow(java.lang.Object window)

  Overrides:
    `checkTopLevelWindow` in class `java.lang.SecurityManager`

### getCurrentCertificate

    public java.security.cert.Certificate getCurrentCertificate()

  Gets the certificate of the owner of the current thread.
  Returns:
    Certificate of the owner of the current thread, null if it's unknown.

### getCurrentNonSecureClassLoader

    public java.lang.ClassLoader getCurrentNonSecureClassLoader()

  Gets the current non secure class loader.
  Returns:
    java.lang.ClassLoader

### getThreadGroup

    public java.lang.ThreadGroup getThreadGroup()

  Overrides:
    `getThreadGroup` in class `java.lang.SecurityManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD